<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net8.0-windows10.0.19041.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <UseWPF>true</UseWPF>
    <EnableWindowsTargeting>true</EnableWindowsTargeting>
    <ApplicationIcon>Assets\llama-logo.ico</ApplicationIcon>
    <AssemblyName>ytLive</AssemblyName>
    <RootNamespace>ytLive</RootNamespace>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="ytLive.Tests\**"/>
    <EmbeddedResource Remove="ytLive.Tests\**"/>
    <None Remove="ytLive.Tests\**"/>
    <Page Remove="ytLive.Tests\**"/>
  </ItemGroup>

  <ItemGroup>
    <Resource Include="Assets\llama-logo.png"/>
    <Resource Include="Assets\llama-logo-icon.png"/>
  </ItemGroup>

  <ItemGroup>
    <AssemblyAttribute Include="System.Runtime.CompilerServices.InternalsVisibleTo">
      <_Parameter1>ytLive.Tests</_Parameter1>
    </AssemblyAttribute>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.Data.Sqlite" Version="8.0.10"/>
    <PackageReference Include="SQLitePCLRaw.bundle_e_sqlite3" Version="2.1.12"/>
    <PackageReference Include="System.Security.Cryptography.ProtectedData" Version="8.0.0"/>
  </ItemGroup>

</Project>
